CREATE OR REPLACE PACKAGE app_k_consultas IS
  --------------------------------------------------------------------------------------------------------
  -- [R5] consulta (A)
  PROCEDURE pr_lista_deseos_por_usuario(p_cln_usuario_in IN usuarios.cln_usuario%TYPE,
                                        p_rsp_out        OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (B)
  PROCEDURE pr_lista_grupos_con_reg_pdtes(p_rsp_out OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (C)
  PROCEDURE pr_lista_regalos_por_categoria(p_cln_categoria_in IN categorias.cln_categoria%TYPE,
                                           p_rsp_out          OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (D)
  PROCEDURE pr_lista_regalos_recib_por_usr(p_cln_usuario_in IN usuarios.cln_usuario%TYPE,
                                           p_rsp_out        OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (E)
  PROCEDURE pr_lista_usr_gasto_mas_q_med(p_rsp_out OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (F)
  PROCEDURE pr_lista_top_poblacion_reg(p_ano_in    NUMBER,
                                       p_topten_in NUMBER DEFAULT 10,
                                       p_rsp_out   OUT NOCOPY logs.rsp%TYPE);

  -- [R5] consulta (F2)
  PROCEDURE pr_lista_top_poblacion_gas(p_ano_in    NUMBER,
                                       p_topten_in NUMBER DEFAULT 10,
                                       p_rsp_out   OUT NOCOPY logs.rsp%TYPE);

-------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
END app_k_consultas;
/
