CREATE OR REPLACE PACKAGE app_k_err IS
  /*
  TODO: owner="admin" priority="3 - Low" created="16/04/2014"
  text="!! Enumerar las excepciones APP_K_ERR"
  */
  ---------------------------------------------------------------------------
  ---------------------------------------------------------------------------
  e_parametros_incorrectos EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_parametros_incorrectos, -20010);

  e_ano_no_valido EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_ano_no_valido, -20011);

  e_mes_no_valido EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_mes_no_valido, -20012);

  e_top_limite EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_top_limite, -20013);

  e_cod_estado_avance_rapido EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_cod_estado_avance_rapido, -20014);
  ---------------------------------------------------------------------------
  e_estadistic_no_datos EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_estadistic_no_datos, -20015);

  e_estadistic_err_carga_datos EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_estadistic_err_carga_datos, -20016);
  ---------------------------------------------------------------------------
  e_grupo_ya_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_ya_existe, -20017);

  e_grupo_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_cln_no_existe, -20018);

  e_grupo_nom_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_nom_no_existe, -20019);

  e_grupo_cln_not_match_nom EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_cln_not_match_nom, -20020);

  e_grupo_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_esta_borrado, -20021);
  ---------------------------------------------------------------------------
  e_usuario_ya_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_usuario_ya_existe, -20022);

  e_usuario_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_usuario_cln_no_existe, -20023);

  e_usuario_email_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_usuario_email_no_existe, -20024);

  e_usuario_cln_not_match_email EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_usuario_cln_not_match_email, -20025);

  e_usuario_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_usuario_esta_borrado, -20026);

  ---------------------------------------------------------------------------
  e_grupo_usuario_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_no_existe, -20027);

  e_grupo_usuario_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_esta_borrado, -20028);

  e_grupo_usuario_ya_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_ya_existe, -20029);

  e_grupo_usuario_aportac_vivas EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_aportac_vivas, -20030);

  e_grupo_usuario_es_homenajeado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_es_homenajeado, -20031);

  e_grupo_usuario_es_receptor EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_es_receptor, -20032);

  e_grupo_usuario_ya_exist_aport EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_ya_exist_aport, -20033);

  e_grupo_usuario_no_exist_aport EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_usuario_no_exist_aport, -20034);

  ---------------------------------------------------------------------------  

  e_grupo_regalo_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_no_existe, -20035);

  e_grupo_regalo_ya_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_ya_existe, -20036);

  e_grupo_regalo_no_borrar_cod EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_no_borrar_cod, -20037);

  e_grupo_regalo_no_borrar_imp EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_no_borrar_imp, -20038);

  e_grupo_regalo_pasa_fec_lim_f EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_pasa_fec_lim_f, -20039);

  e_grupo_regalo_codest_cero EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_codest_cero, -20040);

  e_grupo_regalo_codest_no_cero EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_codest_no_cero, -20041);

  e_grupo_regalo_cod_no_dev_imp EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_grupo_regalo_cod_no_dev_imp, -20042);

  ---------------------------------------------------------------------------
  e_homenajeado_ya_estaba EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_homenajeado_ya_estaba, -20043);

  e_homenajeado_existe_otro EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_homenajeado_existe_otro, -20044);

  e_homenajeado_no_es EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_homenajeado_no_es, -20045);

  e_homenajeado_y_recepto_no EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_homenajeado_y_recepto_no, -20046);
  ---------------------------------------------------------------------------
  e_receptor_ya_estaba EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_receptor_ya_estaba, -20047);

  e_receptor_existe_otro EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_receptor_existe_otro, -20048);

  e_receptor_no_es EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_receptor_no_es, -20049);
  ---------------------------------------------------------------------------
  e_regalo_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_regalo_cln_no_existe, -20050);

  e_regalo_nom_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_regalo_nom_no_existe, -20051);

  e_regalo_cln_not_match_nom EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_regalo_cln_not_match_nom, -20052);

  e_regalo_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_regalo_esta_borrado, -20053);

  e_regalo_en_uso EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_regalo_en_uso, -20054);
  ---------------------------------------------------------------------------
  e_lista_regalos_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_lista_regalos_cln_no_existe, -20055);

  e_lista_regalos_cln_ya_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_lista_regalos_cln_ya_existe, -20056);

  e_lista_regalos_cln_reg_br_sol EXCEPTION; -- ESTA BORRADA LISTA_REGALOS PARA EL REGALO SOLICITADO
  PRAGMA EXCEPTION_INIT(e_lista_regalos_cln_reg_br_sol, -20057);

  e_lista_regalos_cln_reg_no_sol EXCEPTION; -- NO EXISTE LISTA_REGALOS PARA EL REGALO SOLICITADO
  PRAGMA EXCEPTION_INIT(e_lista_regalos_cln_reg_no_sol, -20058);
  ---------------------------------------------------------------------------
  e_lista_deseos_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_lista_deseos_cln_no_existe, -20059);

  e_lista_deseos_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_lista_deseos_esta_borrado, -20060);

  e_lista_deseos_usuario_no_sele EXCEPTION; -- NO EXISTE LISTADESEOS DEFINIDA EN EL USUARIO INDICADO (puede tener algunas como inactivas, pero no aparecen relacionadas en la tabla USUARIOS).
  PRAGMA EXCEPTION_INIT(e_lista_deseos_usuario_no_sele, -20061);
  ---------------------------------------------------------------------------
  e_direccion_envio_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_direccion_envio_no_existe, -20062);

  e_direccion_envio_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_direccion_envio_esta_borrado, -20063);
  ---------------------------------------------------------------------------
  e_trans_imp_debe_ser_positivo EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_imp_debe_ser_positivo, -20064);

  e_trans_imp_excede_pendiente EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_imp_excede_pendiente, -20065);

  e_trans_cod_mod_pago_no_valido EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_cod_mod_pago_no_valido, -20066);

  e_trans_detalle_pago_no_valido EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_detalle_pago_no_valido, -20067);

  e_trans_codmoddet_pago_nomatch EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_codmoddet_pago_nomatch, -20068);

  e_trans_usuario_grr_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_trans_usuario_grr_no_existe, -20069);
  ---------------------------------------------------------------------------
  e_categoria_cln_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_categoria_cln_no_existe, -20070);

  e_categoria_nom_no_existe EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_categoria_nom_no_existe, -20071);

  e_categoria_cln_not_match_nom EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_categoria_cln_not_match_nom, -20072);

  e_categoria_esta_borrado EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_categoria_esta_borrado, -20073);

---------------------------------------------------------------------------
---------------------------------------------------------------------------
---------------------------------------------------------------------------
END app_k_err;
/
